Subject: Re: bug#76457: 31.0.50; Cannot create bookmark to chained TRAMP connection

From: Ship Mints <[email-masked]>
Date: Sat, 22 Feb 2025 11:08:35 -0500

On Sat, Feb 22, 2025 at 10:33 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> > On Sat, Feb 22, 2025 at 7:12 AM Sean Whitton
> > <[email-masked]> wrote:
>
> Thank you both. Finally, I have made the following changes based on your
> proposals (not pushed yet):
>
> In "5.4 Declaring multiple hops in the file name "
>
> --8<---------------cut here---------------start------------->8---
>    TRAMP adds the ad-hoc definitions as an ephemeral record to
> ‘tramp-default-proxies-alist’, which are available for reuse during
> that Emacs session.  Subsequent TRAMP connections to the same remote
> host can then use the abbreviated form ‘/ssh:you@remotehost:/path’.
>
>  -- User Option: tramp-show-ad-hoc-proxies
>      If this user option is non-‘nil’, ad-hoc definitions are kept in
>      remote file names instead of showing the abbreviations.  This is
>      useful if the ad-hoc proxy definition shall be used in further
>      Emacs sessions, kept in configuration files of recentf and other
>      packages.
>

Here I think it would be good to clarify:

     If this user option is non-‘nil’, _fully-qualified_ ad-hoc definitions
are kept in

The ad-hoc nature of these connections isn't really related to
their potential abbreviations and that might confuse some people.  Perhaps
explain that multi-hop routes are not known to Emacs (can they be defined
in ssh/config?), and the user has to create them on the fly, so they are
"ad-hoc", so to speak?